clang 8.0.0

Public Member Functions | Protected Member Functions | List of all members
clang::targets::PS4OSTargetInfo< Target > Class Template Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/Basic/Targets/OSTargets.h"`

Inheritance diagram for clang::targets::PS4OSTargetInfo< Target >:
[legend]
Collaboration diagram for clang::targets::PS4OSTargetInfo< Target >:
[legend]

## Public Member Functions
| PS4OSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
Public Member Functions inherited from clang::targets::OSTargetInfo< Target >
| OSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
void | getTargetDefines (const LangOptions &Opts, MacroBuilder &Builder) const override

## Protected Member Functions
void | getOSDefines (const LangOptions &Opts, const llvm::Triple &Triple, MacroBuilder &Builder) const override

## Detailed Description

### template<typename Target>
class clang::targets::PS4OSTargetInfo< Target >

Definition at line 502 of file OSTargets.h.

## Constructor & Destructor Documentation

## ◆ PS4OSTargetInfo()

template<typename Target>

clang::targets::PS4OSTargetInfo< Target >::PS4OSTargetInfo | ( | const llvm::Triple & | Triple,
|  | const TargetOptions & | Opts
| ) |  |
| inline

Definition at line 515 of file OSTargets.h.

References clang::Target, and clang::TargetInfo::UnsignedShort.

## Member Function Documentation

## ◆ getOSDefines()

template<typename Target>

void clang::targets::PS4OSTargetInfo< Target >::getOSDefines | ( | const LangOptions & | Opts,
|  | const llvm::Triple & | Triple,
|  | MacroBuilder & | Builder
| ) |  | const
| inline override protected virtual

Implements clang::targets::OSTargetInfo< Target >.

Definition at line 504 of file OSTargets.h.

References clang::MacroBuilder::defineMacro(), and clang::targets::DefineStd().

The documentation for this class was generated from the following file:

- lib/Basic/Targets/OSTargets.h